Package org.eclipse.emf.cdo.common.util

## Class RepositoryTypeChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.emf.cdo.common.util.RepositoryTypeChangedEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `CDOCommonRepository.TypeChangedEvent`, `org.eclipse.net4j.util.event.IEvent`

      public class RepositoryTypeChangedEvent
      extends org.eclipse.net4j.util.event.Event
      implements CDOCommonRepository.TypeChangedEvent

  An `event` fired when the `type` of a repository has changed.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryTypeChangedEvent​(org.eclipse.net4j.util.event.INotifier source, CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCommonRepository.Type` | `getNewType()` |
    `CDOCommonRepository.Type` | `getOldType()` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

      `getSource`

- - ### Constructor Detail

    - #### RepositoryTypeChangedEvent

          public RepositoryTypeChangedEvent​(org.eclipse.net4j.util.event.INotifier source,
                                            CDOCommonRepository.Type oldType,
                                            CDOCommonRepository.Type newType)

  - ### Method Detail

    - #### getOldType

          public CDOCommonRepository.Type getOldType()

      Specified by:
        `getOldType` in interface `CDOCommonRepository.TypeChangedEvent`

    - #### getNewType

          public CDOCommonRepository.Type getNewType()

      Specified by:
        `getNewType` in interface `CDOCommonRepository.TypeChangedEvent`